// Lesson Layout:
//
//    #stats
//    #main-info
//      #character
//      #meaning
//    #lesson
//      #supplement-nav
//      #supplement-info
//      #batch-items
//    #quiz
//      #question-type
//      #answer-form
//      #additional-content
//      #information

@each $item in radical, kanji, vocabulary {
    // lesson header background and foreground color
    #main-info.#{$item} {
        @include character($item, $inverted: true);

        #character {
            color: character-color($item) !important;
        }
    }

    #supplement-info,
    #batch-items {
        [class^=#{$item}] {
            @include character($item);
        }
    }
}

#lessons {
    // lesson header
    header {
        @include sheet(11);
    }
}

#main-info {
    @extend %shadowless;
    @extend %no-background-image;
}

// lesson navigation
#supplement-nav {
    @include sheet(9);

    background-color: $charcoal-grey !important;

    li::before {
        border-bottom-color: $lesson-color !important;
        bottom: -50px !important;
        color: $shade-black !important;
    }
}

#next-btn:hover,
#prev-btn:hover {
    background-color: $section-color !important;
    border-radius: 5px !important;
    filter: brightness(0.8) !important;
}

// lesson content
#supplement-info {
    @extend %section;

    color: $text-color;

    margin-top: 30px !important;

    h2 {
        border-bottom-color: $separator-color !important;
    }
}

// lesson batch list
#batch-items {
    position: relative !important;
    width: auto !important;

    // quiz start button
    [data-index="quiz"] > span {
        @extend %button;
    }
}

#lesson {
    #supplement-info {
        // scss-lint:disable SelectorDepth
        #supplement-kan-breakdown,
        #supplement-voc-breakdown,
        #supplement-kan-related-vocabulary {
            ul li a {
                color: $text-color;
            }
        }
    }

    // icons for batch list, breakdown and examples
    #supplement-info,
    #batch-items {
        li span {
            @extend %icon;
        }
    }
}

// continue screen after quiz
#screen-lesson-ready {
    @extend %main-background;

    z-index: 110 !important;
}

// quiz ready screen after lesson
#screen-quiz-ready {
    @extend %main-background;

    z-index: 110 !important;
}

// buttons on lesson/quiz ready screen
.btn-set {
    li {
        @extend %button;
    }
}
